| Earth Observation Mission CFI Software Pointing Software User Manual for JAVA |

Static Public Member Functions

# EECFI.PointingFunc Class Reference

Class grouping several static functions. More...

Inheritance diagram for EECFI.PointingFunc:

List of all members.

## Static Public Member Functions
static native void | genMaxAltFile (String demCfgFile) throws CfiError
| Generate maximum altitude file.
static native void | genDemAltitudesFromEllipsoid (String demCfgFile, long numHarmonics, String outputDir, GenDemAltFromEllipsoidInputs inputs) throws CfiError
| Generate DEM with altitudes from ellipsoid.
static native AttitudeDef | attitudeDefine (AttitudeDefinitionData attData) throws CfiError
| Initialize initializes the satellite nominal attitude, satellite attitude and instrument attitude according to the input data.

## Detailed Description

Class grouping several static functions.

## Member Function Documentation

static native AttitudeDef EECFI.PointingFunc.attitudeDefine | ( | AttitudeDefinitionData | attData | ) | throws CfiError`[static]`

Initialize initializes the satellite nominal attitude, satellite attitude and instrument attitude according to the input data.

The input data is stored in a structure of type AttitudeDefinitionData (see [D_H_SUM] for further details). The user can fill this structure within his application program or by reading an atttitude definition file using method AttitudeDefinitionData.read.

void EECFI.PointingFunc::genDemAltitudesFromEllipsoid | ( | String | demCfgFile,
|  | long | numHarmonics,
|  | String | outputDir,
|  | GenDemAltFromEllipsoidInputs | inputs |
| ) |  |  | throws CfiError`[static]`

Generate DEM with altitudes from ellipsoid.

It generates, from an input DEM ACE2 or GDEM V2 dataset, whose altitudes are expressed w.r.t. the geoid, an equivalent DEM but with the heights referenced to the ellipsoid, not to the geoid. This way the geoid undulation computation can be avoided at runtime and performance can be improved.

Parameters:

  | demCfgFile | DEM configuration file. It must contain the MiniTiles_Configuration tag for the maximum altitude file to be created.
  | numHarmonics | Number of harmonics to be used in computation of undulation of geoid.
  | outputDir | Directory where generated files will be placed.
  | inputs | DEM set selection.

void EECFI.PointingFunc::genMaxAltFile | ( | String | demCfgFile | ) | throws CfiError`[static]`

Generate maximum altitude file.

A binary file with the maximum altitudes corresponding to every mini-tile is generated, as described in input DEM configuration file. This file is needed to the maximum altitudes algo, as described in DemId.init.

Parameters:

  | demCfgFile | DEM configuration file. It must contain the MiniTiles_Configuration tag for the maximum altitude file to be created.